function femmodel=enthalpy_core_step(femmodel,step,time)
%ENTHALPY_CORE_STEP - core of the enthalpy solution for one step 
%
%   Usage:
%      femmodel=enthalpy_core_step(femmodel,step,time)

	%some parameters
	modify_loads=true;

	issmprintf(VerboseSolution,'\n%s',['   computing enthalpy']);
	femmodel=SetCurrentConfiguration(femmodel,EnthalpyAnalysisEnum);
	femmodel=solver_nonlinear(femmodel,modify_loads);

end %end function
